/* google fonts */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* for scrollbar - firefox, ie/edge, chrome, and safar */
html {
    scrollbar-width: none;
    -ms-overflow-style: none;
}

html::-webkit-scrollbar {
    display: none;
}

body {
    background-color: var(--c-background);
}

/* css variables */
:root {
    /* colors */
    --c-background: #121212;
    --c-surface: #181818;
    --c-dark: #1f1f1f;
    --c-accent: #1ed760;
    --c-heading: #ffffff;
    --c-text: #b3b3b3;
    --c-caption: #539df5;
    /* fonts */
    --ff-heading: "Montserrat", sans-serif;
    --ff-text: "Poppins", sans-serif;
    /* sizing */
    --sz-heading: 1.5rem;
    --sz-text: 1rem;
    --sz-text-sm: 0.75rem;
    --sz-caption: 0.875rem;
    /* gaps */
    --g-sm: 4px;
    --g-lh: 8px;
    --g-md: 12px;
    --g-lg: 16px;
    /* radius */
    --br-sm: 4px;
    --br-md: 8px;
    --br-lg: 16px
}

/* all updates */
.no-scroll {
    overflow: hidden;
}

/* profile */
.container {
    max-width: 1200px;
    margin: 0 auto;
    /* padding: 40px 0; */
    width: 90%;
    min-height: 100vh;
}

/* two column layout */
.two-layout {
    display: grid;
    grid-template-columns: 1fr 3fr;
    gap: var(--g-lg);
    align-items: start;
    min-height: 100vh;
}

.left-layout {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 100vh;
    position: sticky;
    top: 0;
}

.left-layout,
.right-layout {
    padding: 40px 0;
}

.l-content {
    display: flex;
    flex-direction: column;
    gap: var(--g-md);
}

.c-caption {
    font-family: var(--ff-text);
    font-size: var(--sz-text-sm);
    font-weight: 500;
    color: var(--c-caption);
}

.c-name {
    font-family: var(--ff-heading);
    font-size: var(--sz-heading);
    font-weight: bold;
    color: var(--c-heading);
}

.c-text {
    font-family: var(--ff-text);
    font-size: var(--sz-text-sm);
    font-weight: 400;
    color: var(--c-text);
}

.l-socials {
    margin-top: auto;
    display: flex;
    flex-direction: column;
    gap: var(--g-md);
}

.l-socials p {
    font-family: var(--ff-text);
    font-size: var(--sz-text-sm);
    font-weight: 400;
    color: var(--c-text);
    cursor: pointer;
    transition: all .5s ease;
}

.l-socials p:hover {
    transform: translateX(4px);
    color: var(--c-caption);
}

/* right */
.right-layout {
    display: flex;
    flex-direction: column;
    gap: var(--g-lg);
}

section {
    padding: 0 16px;
}

.title {
    font-family: var(--ff-heading);
    font-size: var(--sz-text);
    font-weight: bold;
    color: var(--c-heading);
}

.a-content {
    display: flex;
    flex-direction: column;
    gap: var(--g-md);
    margin-top: 16px;
}

.a-content p {
    font-family: var(--ff-text);
    font-size: var(--sz-text-sm);
    font-weight: 400;
    color: var(--c-text);
}

.skills-box {
    margin-top: var(--g-lg);
    display: flex;
    align-items: center;
    gap: var(--g-md);
    flex-wrap: wrap;
}

.s-tacks {
    font-family: var(--ff-text);
    font-size: var(--sz-text-sm);
    font-weight: 400;
    color: var(--c-text);
    padding: 4px 0;
    width: 100px;
    border: 1px solid var(--c-text);
    border-radius: var(--br-sm);
    cursor: pointer;
    text-align: center;
    transition: all .5s ease;
}

.s-tacks:hover {
    border: 1px solid var(--c-caption);
    color: var(--c-caption);
}

.projects-box {
    margin-top: 16px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: var(--g-md);
}

.b-card .c-title {
    font-family: var(--ff-heading);
    font-size: var(--sz-text);
    font-weight: 500;
    color: var(--c-text);
}

.b-card .c-description {
    font-family: var(--ff-text);
    font-size: var(--sz-text-sm);
    font-weight: 400;
    color: var(--c-text);
    margin-top: 8px;
}

.b-actions {
    margin-top: 16px;
    display: flex;
    align-items: center;
    gap: var(--g-md);
}

.a-demo,
.a-source {
    font-family: var(--ff-text);
    font-size: var(--sz-text-sm);
    font-weight: 400;
    color: var(--c-caption);
    text-decoration: none;
}

.a-demo:hover,
.a-source:hover {
    text-decoration: underline;
}

.certifications-box {
    display: flex;
    align-items: center;
    gap: var(--g-md);
    flex-wrap: wrap;
}

.certifications-box img {
    width: 160px;
    height: 100px;
    margin-top: 16px;
}

#overlay {
    display: none;
    position: fixed;
    z-index: 99;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(8px);
    justify-content: center;
    align-items: center;
}

#overlay #preview-img {
    width: auto;
    height: auto;
    max-width: 90%;
    max-height: 90%;
}

#overlay.active {
    display: flex;
}

.github-box {
    margin-top: 16px;
    width: 100%;
    height: auto;
}

.github-box img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

.experience-box {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: start;
    gap: var(--g-md);
    margin-top: 16px;
}

.e-box {
    display: flex;
    flex-direction: column;
    gap: var(--g-sm);
}

.e-title {
    font-family: var(--ff-heading);
    font-size: var(--sz-text);
    font-weight: 500;
    color: var(--c-text);
}

.e-text {
    margin-top: 8px;
    font-family: var(--ff-text);
    font-size: var(--sz-text-sm);
    font-weight: 400;
    color: var(--c-text);
    display: flex;
    flex-direction: column;
    gap: var(--g-sm);
}

.e-text p {
    padding-left: 8px;
}

.e-text p::before {
    content: "• ";
}

/* education */
.education-box {
    margin-top: 16px;
    display: flex;
    flex-direction: column;
    gap: var(--g-md);
}

.education-grp {
    display: flex;
    flex-direction: column;
    gap: var(--g-sm);
}

.education-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.e-name {
    font-family: var(--ff-text);
    font-size: var(--sz-text);
    font-weight: 500;
    color: var(--c-text);
}

.e-date {
    font-family: var(--ff-text);
    font-size: var(--sz-text);
    font-weight: 400;
    color: var(--c-text);
}

.e-message {
    font-family: var(--ff-text);
    font-size: var(--sz-text-sm);
    font-weight: 400;
    color: var(--c-text);
}

.e-message::before {
    content: "• ";
    padding-left: 8px;
}

/* gallery */
.gallery-box {
    display: flex;
    gap: var(--g-md);
    width: 100%;
    margin-top: 16px;
}

.g-img {
    width: 100%;
    height: 100%;
}

.g-img img {
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: var(--br-md);
    cursor: pointer;
}

/* horizontal line - hr */
hr {
    width: 100%;
    height: 1px;
    border: none;
    background-color: var(--c-text);
}

/* footer */
footer {
    padding: 16px 0;
}

.f-text {
    font-family: var(--ff-text);
    font-size: var(--sz-text-sm);
    font-weight: 500;
    color: var(--c-text);
    text-align: center;
}

/* tablet - view */
@media screen and (max-width: 768px) {
    .two-layout {
        display: flex;
        flex-direction: column;
        gap: var(--g-lg);
    }

    .left-layout {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: var(--g-lg);
        min-height: unset;
        position: unset;
        width: 100%;
        padding: 20px 0;
    }

    .l-content {
        max-width: 400px;
    }

    .l-socials {
        display: flex;
        flex-direction: row;
        gap: var(--g-lg);
    }

    .right-layout {
        padding-top: 0;
    }

    section {
        padding: 0;
    }
}

/* mobile - view */
@media screen and (max-width: 480px) {
    .projects-box {
        grid-template-columns: repeat(1, 1fr);
    }

    .certifications-box img {
        width: 100%;
        height: auto;
    }

    .experience-box {
        grid-template-columns: 1fr;
    }

    /* education */
    .e-name,
    .e-date {
        font-size: var(--sz-text-sm);
    }

    /* gallery */
    .gallery-box {
        flex-direction: column;
    }
}